## NMSerialDevice

NMSerialDevice

## Synopsis

                        NMSerialDevice;
                        NMSerialDeviceClass;
    guint32             nm_serial_device_get_bytes_received (NMSerialDevice *self);
    guint32             nm_serial_device_get_bytes_sent     (NMSerialDevice *self);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMDevice
                   +----NMSerialDevice
                         +----NMCdmaDevice
                         +----NMGsmDevice

## Signals

      "ppp-stats"                                      : Run First

## Description

## Details

### NMSerialDevice

    typedef struct _NMSerialDevice NMSerialDevice;

### NMSerialDeviceClass

    typedef struct {
    	NMDeviceClass parent;

    	/* Signals */
    	void (*ppp_stats) (NMSerialDevice *self, guint32 in_bytes, guint32 out_bytes);

    	/* Padding for future expansion */
    	void (*_reserved1) (void);
    	void (*_reserved2) (void);
    	void (*_reserved3) (void);
    	void (*_reserved4) (void);
    	void (*_reserved5) (void);
    	void (*_reserved6) (void);
    } NMSerialDeviceClass;

### nm_serial_device_get_bytes_received ()

    guint32             nm_serial_device_get_bytes_received (NMSerialDevice *self);

Gets the amount of bytes received by the serial device. This counter is reset when the device is activated.

`self` : | a NMSerialDevice
Returns : | bytes received

### nm_serial_device_get_bytes_sent ()

    guint32             nm_serial_device_get_bytes_sent     (NMSerialDevice *self);

Gets the amount of bytes sent by the serial device. This counter is reset when the device is activated.

`self` : | a NMSerialDevice
Returns : | bytes sent

## Signal Details

### The `"ppp-stats"` signal

    void                user_function                      (NMSerialDevice *device,
                                                            guint           in_bytes,
                                                            guint           out_bytes,
                                                            gpointer        user_data)      : Run First

Notifies that a NMAccessPoint is added to the wifi device.

`device` : | the serial device that received the signal
`in_bytes` : | the amount of bytes received
`out_bytes` : | the amount of bytes sent
`user_data` : | user data set when the signal handler was connected.